.horizontal-scroll-wrapper {
    display: flex;
    overflow-x: auto;
    padding-bottom: 1rem;
    -webkit-overflow-scrolling: touch;
}

.scroll-item {
    flex: 0 0 auto;
    width: 250px;
}

.navbar-nav .nav-link {
    white-space: nowrap;
}

.font-white {
    color: #fff;
}

.font-black {
    color: #000;
}

.font-gray {
    color: #808080;
}

.font-gray-light {
    color: #d3d3d3;
}

.font-red {
    color: #ff0000;
}

.font-blue {
    color: #0000ff;
}

.font-green {
    color: #008000;
}

.font-yellow {
    color: #ffff00;
}

.button-blue {
    background-color: #2cb1c0;
    color: #fff;
    padding: 10px 20px;
    border-radius: 5px;
    border: none;
    cursor: pointer;
}

.upcoming-events-header {
    position: relative;
    padding-bottom: 10px;
    color: #000;
}

.upcoming-events-header::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    color: #000;
    height: 4px;
    background: linear-gradient(to right, #2cb1c0, #e95e5e);
}

.upcoming-events-header-tiket {
    position: relative;
    padding-bottom: 10px;
    color: #000;
}

.upcoming-events-header-tiket::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 30%;
    color: #000;
    height: 4px;
    background: linear-gradient(to right, #2cb1c0, #e95e5e);
}

.upcoming-events-header-second {
    position: relative;
    padding-bottom: 10px;
}

.upcoming-events-header-second::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 4px;
    color: #fff;
}

.popular-events-section {
    background: linear-gradient(to top, #fc6868 0%, #20bcfa 100%);
    padding: 60px 0;
}

.popular-events-header {
    font-size: 2.5rem;
    text-align: center;
    font-weight: bold;
    color: #fff;
}

.event-rank-number {
    font-size: 3rem;
    font-weight: bold;
    color: #fff;
}

@media (max-width: 768px) {
    .carousel-control-prev,
    .carousel-control-next {
        display: none;
    }

    .events-list {
        gap: 10px !important;
    }
}

@media (max-width: 768px) {
    .events-list .card {
        min-width: 12rem;
        max-width: 12rem;
    }

    .events-list .card-title {
        font-size: 0.85rem;
    }

    .events-list .card-body {
        padding: 0.5rem;
    }
}

.popular-card {
    width: 100%;
    max-width: 340px;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
}

.events-list::-webkit-scrollbar {
    display: none;
    /* Chrome, Safari, Opera */
}

.events-list {
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}

.ticket-card {
    position: relative;
    background: linear-gradient(90deg, #2cb1c0 0%, #fc6868 100%);
    border-radius: 10px;
    color: white;
    overflow: hidden;
    padding: 20px;
    margin-bottom: 20px;
    font-weight: bold;
}

.ticket-card::before,
.ticket-card::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 30px;
    height: 30px;
    background-color: white;
    border-radius: 50%;
    z-index: 1;
}

.ticket-card::before {
    left: -15px;
}

.ticket-card::after {
    right: -15px;
}

.ticket-content {
    position: relative;
    z-index: 2;
}

.ticket-content h5,
.ticket-content p,
.ticket-content span {
    color: white;
    font-weight: bold;
}

.ticket-controls {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 5px;
    flex-wrap: wrap;
}

.ticket-qty {
    font-size: 1.1rem;
}

hr {
    border-style: dashed;
    border-color: #ffffff;
}

.btn-tab {
    font-weight: bold;
    border: 1px solid #ccc;
    padding: 10px 25px;
    color: #000 !important;
    background-color: #208ca5;
    transition: background-color 0.3s ease;
}

.btn-tab:first-child {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.btn-tab:last-child {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

.btn-tab.active {
    color: white;
    border-color: #4a4a4a;
    background-color: #208ca5 !important;
    color: #fff !important;
}

.btn-tab:hover:not(.active) {
    background-color: #f7f7f7;
}

.map-container iframe {
    width: 100%;
    height: 180px;
    border: 0;
    border-radius: 12px;
}

.gradient-text {
    background: linear-gradient(to right, #2cb1c0, #e95e5e);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    display: inline-block;
}

/* ticket responsive */
@media (max-width: 576px) {
    .ticket-card h5 {
        font-size: 0.7rem;
    }

    .ticket-content .small-text {
        font-size: 0.5rem;
    }

    .ticket-controls button {
        width: 35% !important;
        font-size: 0.7rem;
    }

.ticket-controls a.btn-ticket {
        width: 35% !important;
        font-size: 0.7rem;
    }
    .price-text {
        font-size: 0.7rem;
    }

    .btn-ticket {
        font-size: 0.7rem;
        padding: 5px 10px;
    }

    .info-ticket {
        font-size: 0.6rem;
    }
}

.event-banner-img {
    object-fit: cover;
    width: 100%;
    height: 400px;
    border-radius: 10px;
}

@media (max-width: 576px) {
    .event-banner-img {
        height: 200px;
    }
}

.badge-warning-outline {
    border: 1px solid rgba(220, 53, 69, 0.7);
    background-color: rgba(220, 53, 69, 0.1);
    border-radius: 40px;
}

/* payment  */

.payment-option {
    border: 2px solid #ccc;
    border-radius: 10px;
    padding: 10px;
    margin-bottom: 10px;
    background-color: white;
    transition: all 0.3s;
    width: 80px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.payment-option img {
    max-width: 100%;
    max-height: 100px;
}

.payment-option.active {
    border-color: #2cb1c0;
    background-color: #e6f7ed;
}

.payment-section-title {
    font-weight: 600;
    margin-top: 20px;
    margin-bottom: 10px;
}

.scrollable-dropdown {
    max-height: 300px;
    overflow-y: auto;
}

.scrollable-dropdown {
    max-height: 300px;
    overflow-y: auto;
    position: absolute;
    z-index: 1050;
    inset: auto 0 auto 0;
    background: white;
}
